Name: wmii
Version: 3.7
Release: alt0.1

Summary: Window manager improved 2
License: MIT
Group: Graphical desktop/Other

URL: http://wmii.de
Source: %name-%version-%release.tar

Requires: ixpc dmenu

# Automatically added by buildreq on Tue Apr 03 2007
BuildRequires: libXt-devel libixp-devel

%description
Wimp is dead!! - wmii is a dynamic window manager for X11.  It supports
classic and dynamic window management with extended keyboard, mouse, and
filesystem based remote control.  It replaces the workspace paradigm with
a new tagging approach.

%prep
%setup -q -n %name-%version-%release

%build
gcc %optflags -DVERSION=\"%version-%release\" -Iinclude cmd/wmii/*.c cmd/util.c -o wmii -lX11 -lixp -lm
gcc %optflags cmd/wmii9menu.c -o wmii9menu -lX11

%install
install -pD -m755 wmii %buildroot%_bindir/wmii
install -pD -m755 wmii9menu %buildroot%_bindir/wmii9menu
install -pD -m755 cmd/wmiir.sh %buildroot%_bindir/wmiir
install -pD -m755 cmd/wmiistartrc.sh %buildroot%_bindir/wmiistartrc
install -pD -m755 cmd/wmiiloop.awk %buildroot%_bindir/wmiiloop

%define wmiidir /etc/wmii-3.5
install -pD -m755 rc/wmiirc.sh %buildroot%wmiidir/wmiirc
install -pD -m755 rc/welcome.sh %buildroot%wmiidir/welcome

mkdir -p %buildroot%_man1dir
install -p -m744 man/wmii*.1 %buildroot%_man1dir/

install -pD -m644 wmii.png %buildroot%_iconsdir/wmii.png
mkdir -p %buildroot/etc/X11/wmsession.d
cat >%buildroot/etc/X11/wmsession.d/11wmii <<EOF
NAME=wmii
ICON=%_iconsdir/wmii.png
DESC=%summary
EXEC=%_bindir/wmii
SCRIPT:
exec %_bindir/wmii
EOF

%files
%doc LICENSE README
%config %wmiidir/
%_bindir/wmii*
%_man1dir/wmii*
%config /etc/X11/wmsession.d/11wmii
%_iconsdir/wmii.png

%changelog
* Tue Apr 03 2007 Alexey Tourbin <at@altlinux.ru> 3.7-alt0.1
- imported sources from suckless.org mercurial repo into git
- updated to most recent snapshot and set version to 3.7
- wmiirc: changed default MODKEY from Alt to Win
- wmiirc: changed default terminal emulator form xterm to xvt

* Sun Jun 18 2006 Alexey Tourbin <at@altlinux.ru> 3.1-alt1
- initial revision
- sync debian wmii_3.0-1.diff.gz
- wmiirc: 
  + always regenerate proglist
  + changed /tmp/ns.$USER.$DISPLAY to ${TMPDIR:-/tmp}/ns.$USER.$DISPLAY
